Unit tde23r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE23R_p, DE23R_p;

function tde23r: String;

implementation

function tde23r: String;
var
IU,IORDER,M,ISTIFJ,IERR :Integer;
EPS,HMIN,XN,XK,HMAX,H,X :Real;
RAB :Array [0..37] of Real;
Y :Array [0..1] of Real;
YN :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
YPM :Array [0..1] of Real;
YP :Array [0..15] of Real;
begin
Result := '';  {   }
IU := 3;
EPS := 0.00001;
IORDER := 6;
HMIN := 1.E-10;
M := 2;
XN := 0.0;
YN[0] := 2.0;
YN[1] := 18.0;
XK := 1.0;
ISTIFJ := 1;
HMAX := 0.1;
H := 0.01;
DE23R(FDE23R,M,XN,YN,XK,HMIN,HMAX,EPS,ISTIFJ,IORDER,
     IU,H,Y,YPM,DELTY,RAB,YP,IERR);
Result := Result + Format(' %20.16f %20.16f %20.16f ',
 [X,Y[0],Y[1]]) + #$0D#$0A;
UtRes('tde23r',Result);  {     tde23r.res }
exit;
end;

end.
